"""
Mapping of FIPS codes to EPSG identifiers
"""
# FIPS, OPUS NAME
FIPS_NAME = {
    101 : "AL (0101) Alabama Eastern",
    102 : "AL (0102) Alabama Western",
    5001 : "AK (5001) Alaska Zone #1",
    5002 : "AK (5002) Alaska Zone #2",
    5003 : "AK (5003) Alaska Zone #3",
    5004 : "AK (5004) Alaska Zone #4",
    5005 : "AK (5005) Alaska Zone #5",
    5006 : "AK (5006) Alaska Zone #6",
    5007 : "AK (5007) Alaska Zone #7",
    5008 : "AK (5008) Alaska Zone #8",
    5009 : "AK (5009) Alaska Zone #9",
    5010 : "AK (5010) Alaska Zone #10",
    5300 : "AS (5300) American Samoa one-zone",
    201 : "AZ (0201) Arizona Eastern",
    202 : "AZ (0202) Arizona Central",
    203 : "AZ (0203) Arizona Western",
    301 : "AR (0301) Arkansas Northern",
    302 : "AR (0302) Arkansas Southern",
    401 : "CA (0401) California Zone #1",
    402 : "CA (0402) California Zone #2",
    403 : "CA (0403) California Zone #3",
    404 : "CA (0404) California Zone #4",
    405 : "CA (0405) California Zone #5",
    406 : "CA (0406) California Zone #6",
    501 : "CO (0501) Colorado Northern",
    502 : "CO (0502) Colorado Central",
    503 : "CO (0503) Colorado Southern",
    600 : "CT (0600) Connecticut one-zone",
    700 : "DE (0700) Delaware one-zone",
    901 : "FL (0901) Florida Eastern",
    902 : "FL (0902) Florida Western",
    903 : "FL (0903) Florida Northern",
    1001 : "GA (1001) Georgia Eastern",
    1002 : "GA (1002) Georgia Western",
    5400 : "GU (5400) Guam one-zone",
    5101 : "HI (5101) Hawaii Zone #1",
    5102 : "HI (5102) Hawaii Zone #2",
    5103 : "HI (5103) Hawaii Zone #3",
    5104 : "HI (5104) Hawaii Zone #4",
    5105 : "HI (5105) Hawaii Zone #5",
    1101 : "ID (1101) Idaho Eastern",
    1102 : "ID (1102) Idaho Central",
    1103 : "ID (1103) Idaho Western",
    1201 : "IL (1201) Illinois Eastern",
    1202 : "IL (1202) Illinois Western",
    1301 : "IN (1301) Indiana Eastern",
    1302 : "IN (1302) Indiana Western",
    1401 : "IA (1401) Iowa Northern",
    1402 : "IA (1402) Iowa Southern",
    1501 : "KS (1501) Kansas Northern",
    1502 : "KS (1502) Kansas Southern",
    1600 : "KY (1600) Kentucky one-zone",
    1601 : "KY (1601) Kentucky Northern",
    1602 : "KY (1602) Kentucky Southern",
    1701 : "LA (1701) Louisiana Northern",
    1702 : "LA (1702) Louisiana Southern",
    1703 : "LA (1703) Louisiana Offshore",
    1801 : "ME (1801) Maine Eastern",
    1802 : "ME (1802) Maine Western",
    1900 : "MD (1900) Maryland one-zone",
    2001 : "MA (2001) Massachusetts Mainland",
    2002 : "MA (2002) Massachusetts Island",
    2111 : "MI (2111) Michigan Northern",
    2112 : "MI (2112) Michigan Central",
    2113 : "MI (2113) Michigan Southern",
    2201 : "MN (2201) Minnesota Northern",
    2202 : "MN (2202) Minnesota Central",
    2203 : "MN (2203) Minnesota Southern",
    2301 : "MS (2301) Mississippi Eastern",
    2302 : "MS (2302) Mississippi Western",
    2401 : "MO (2401) Missouri Eastern",
    2402 : "MO (2402) Missouri Central",
    2403 : "MO (2403) Missouri Western",
    2500 : "MT (2500) Montana one-zone",
    2600 : "NE (2600) Nebraska one-zone",
    2701 : "NV (2701) Nevada Eastern",
    2702 : "NV (2702) Nevada Central",
    2703 : "NV (2703) Nevada Western",
    2800 : "NH (2800) New Hampshire one-zone",
    2900 : "NJ (2900) New Jersey one-zone",
    3001 : "NM (3001) New Mexico Eastern",
    3002 : "NM (3002) New Mexico Central",
    3003 : "NM (3003) New Mexico Western",
    3101 : "NY (3101) New York Eastern",
    3102 : "NY (3102) New York Central",
    3103 : "NY (3103) New York Western",
    3104 : "NY (3104) New York Long Island",
    3200 : "NC (3200) North Carolina one-zone",
    3301 : "ND (3301) North Dakota Northern",
    3302 : "ND (3302) North Dakota Southern",
    3401 : "OH (3401) Ohio Northern",
    3402 : "OH (3402) Ohio Southern",
    3501 : "OK (3501) Oklahoma Northern",
    3502 : "OK (3502) Oklahoma Southern",
    3601 : "OR (3601) Oregon Northern",
    3602 : "OR (3602) Oregon Southern",
    3701 : "PA (3701) Pennsylvania Northern",
    3702 : "PA (3702) Pennsylvania Southern",
    5200 : "PR (5200) Puerto Rico & U.S. Virgin Islands ",
    3800 : "RI (3800) Rhode Island one-zone",
    3900 : "SC (3900) South Carolina one-zone",
    4001 : "SD (4001) South Dakota Northern",
    4002 : "SD (4002) South Dakota Southern",
    4100 : "TN (4100) Tennessee one-zone",
    4201 : "TX (4201) Texas Northern",
    4202 : "TX (4202) Texas North-Central",
    4203 : "TX (4203) Texas Central",
    4204 : "TX (4204) Texas South-Central",
    4205 : "TX (4205) Texas Southern",
    4301 : "UT (4301) Utah Northern",
    4302 : "UT (4302) Utah Central",
    4303 : "UT (4303) Utah Southern",
    5200 : "VI (5200) U.S. Virgin Islands & Puerto Rico ",
    4400 : "VT (4400) Vermont one-zone",
    4501 : "VA (4501) Virginia Northern",
    4502 : "VA (4502) Virginia Southern",
    4601 : "WA (4601) Washington Northern",
    4602 : "WA (4602) Washington Southern",
    4701 : "WV (4701) West Virginia Northern",
    4702 : "WV (4702) West Virginia Southern",
    4801 : "WI (4801) Wisconsin Northern",
    4802 : "WI (4802) Wisconsin Central",
    4803 : "WI (4803) Wisconsin Southern",
    4901 : "WY (4901) Wyoming Eastern",
    4902 : "WY (4902) Wyoming East-Central",
    4903 : "WY (4903) Wyoming West-Central",
    4904 : "WY (4904) Wyoming Western"
}

# FIPS : EPSG NAD83(2011)
NAD83_2011 = {
    101 : {'m' : 6355, 'ft' : None, 'sft' : None},
    102 : {'m' : 6356, 'ft' : None, 'sft' : None},
    5001 : {'m' : 6394, 'ft' : None, 'sft' : None},
    5002 : {'m' : 6395, 'ft' : None, 'sft' : None},
    5003 : {'m' : 6396, 'ft' : None, 'sft' : None},
    5004 : {'m' : 6397, 'ft' : None, 'sft' : None},
    5005 : {'m' : 6398, 'ft' : None, 'sft' : None},
    5006 : {'m' : 6399, 'ft' : None, 'sft' : None},
    5007 : {'m' : 6400, 'ft' : None, 'sft' : None},
    5008 : {'m' : 6401, 'ft' : None, 'sft' : None},
    5009 : {'m' : 6402, 'ft' : None, 'sft' : None},
    5010 : {'m' : 6403, 'ft' : None, 'sft' : None},
    5300 : {'m' : 6321, 'ft' : None, 'sft' : None},
    201 : {'m' : 6406, 'ft' : None, 'sft' : None},
    202 : {'m' : 6407, 'ft' : None, 'sft' : None},
    203 : {'m' : 6408, 'ft' : None, 'sft' : None},
    301 : {'m' : 6410, 'ft' : None, 'sft' : None},
    302 : {'m' : 6412, 'ft' : None, 'sft' : None},
    401 : {'m' : 6415, 'ft' : None, 'sft' : None},
    402 : {'m' : 6417, 'ft' : None, 'sft' : None},
    403 : {'m' : 6419, 'ft' : None, 'sft' : None},
    404 : {'m' : 6421, 'ft' : None, 'sft' : None},
    405 : {'m' : 6423, 'ft' : None, 'sft' : None},
    406 : {'m' : 6425, 'ft' : None, 'sft' : None},
    501 : {'m' : 6429, 'ft' : None, 'sft' : None},
    502 : {'m' : 6427, 'ft' : None, 'sft' : None},
    503 : {'m' : 6431, 'ft' : None, 'sft' : None},
    600 : {'m' : 6433, 'ft' : None, 'sft' : None},
    700 : {'m' : 6435, 'ft' : None, 'sft' : None},
    901 : {'m' : 6437, 'ft' : None, 'sft' : None},
    902 : {'m' : 6442, 'ft' : None, 'sft' : None},
    903 : {'m' : 6440, 'ft' : None, 'sft' : None},
    1001 : {'m' : 6444, 'ft' : None, 'sft' : None},
    1002 : {'m' : 6446, 'ft' : None, 'sft' : None},
    5400 : {'m' : 6637, 'ft' : None, 'sft' : None},
    5101 : {'m' : 6628, 'ft' : None, 'sft' : None},
    5102 : {'m' : 6629, 'ft' : None, 'sft' : None},
    5103 : {'m' : 6630, 'ft' : None, 'sft' : None},
    5104 : {'m' : 6631, 'ft' : None, 'sft' : None},
    5105 : {'m' : 6632, 'ft' : None, 'sft' : None},
    1101 : {'m' : 6450, 'ft' : None, 'sft' : None},
    1102 : {'m' : 6448, 'ft' : None, 'sft' : None},
    1103 : {'m' : 6452, 'ft' : None, 'sft' : None},
    1201 : {'m' : 6454, 'ft' : None, 'sft' : None},
    1202 : {'m' : 6456, 'ft' : None, 'sft' : None},
    1301 : {'m' : 6458, 'ft' : None, 'sft' : None},
    1302 : {'m' : 6460, 'ft' : None, 'sft' : None},
    1401 : {'m' : 6462, 'ft' : None, 'sft' : None},
    1402 : {'m' : 6464, 'ft' : None, 'sft' : None},
    1501 : {'m' : 6466, 'ft' : None, 'sft' : None},
    1502 : {'m' : 6468, 'ft' : None, 'sft' : None},
    1600 : {'m' : 6472, 'ft' : None, 'sft' : None},
    1601 : {'m' : 6470, 'ft' : None, 'sft' : None},
    1602 : {'m' : 6474, 'ft' : None, 'sft' : None},
    1701 : {'m' : 6476, 'ft' : None, 'sft' : None},
    1702 : {'m' : 6478, 'ft' : None, 'sft' : None},
    1703 : {'m' : None, 'ft' : None, 'sft' : None},
    1801 : {'m' : 6483, 'ft' : None, 'sft' : None},
    1802 : {'m' : 6485, 'ft' : None, 'sft' : None},
    1900 : {'m' : 6487, 'ft' : None, 'sft' : 6488},
    2001 : {'m' : 6491, 'ft' : None, 'sft' : None},
    2002 : {'m' : 6489, 'ft' : None, 'sft' : None},
    2111 : {'m' : 6495, 'ft' : None, 'sft' : None},
    2112 : {'m' : 6493, 'ft' : None, 'sft' : None},
    2113 : {'m' : 6498, 'ft' : None, 'sft' : None},
    2201 : {'m' : 6502, 'ft' : None, 'sft' : None},
    2202 : {'m' : 6500, 'ft' : None, 'sft' : None},
    2203 : {'m' : 6504, 'ft' : None, 'sft' : None},
    2301 : {'m' : 6506, 'ft' : None, 'sft' : None},
    2302 : {'m' : 6509, 'ft' : None, 'sft' : None},
    2401 : {'m' : 6512, 'ft' : None, 'sft' : None},
    2402 : {'m' : 6511, 'ft' : None, 'sft' : None},
    2403 : {'m' : 6513, 'ft' : None, 'sft' : None},
    2500 : {'m' : 6514, 'ft' : None, 'sft' : None},
    2600 : {'m' : 6516, 'ft' : None, 'sft' : None},
    2701 : {'m' : 6520, 'ft' : None, 'sft' : None},
    2702 : {'m' : 6518, 'ft' : None, 'sft' : None},
    2703 : {'m' : 6522, 'ft' : None, 'sft' : None},
    2800 : {'m' : 6524, 'ft' : None, 'sft' : None},
    2900 : {'m' : 6526, 'ft' : None, 'sft' : None},
    3001 : {'m' : 6530, 'ft' : None, 'sft' : None},
    3002 : {'m' : 6528, 'ft' : None, 'sft' : None},
    3003 : {'m' : 6532, 'ft' : None, 'sft' : None},
    3101 : {'m' : 6636, 'ft' : None, 'sft' : None},
    3102 : {'m' : 6534, 'ft' : None, 'sft' : None},
    3103 : {'m' : 6540, 'ft' : None, 'sft' : None},
    3104 : {'m' : 6538, 'ft' : None, 'sft' : None},
    3200 : {'m' : 6542, 'ft' : None, 'sft' : None},
    3301 : {'m' : 6544, 'ft' : None, 'sft' : None},
    3302 : {'m' : 6546, 'ft' : None, 'sft' : None},
    3401 : {'m' : 6548, 'ft' : None, 'sft' : None},
    3402 : {'m' : 6550, 'ft' : None, 'sft' : None},
    3501 : {'m' : 6552, 'ft' : None, 'sft' : None},
    3502 : {'m' : 6554, 'ft' : None, 'sft' : None},
    3601 : {'m' : 6558, 'ft' : None, 'sft' : None},
    3602 : {'m' : 6560, 'ft' : None, 'sft' : None},
    3701 : {'m' : 6562, 'ft' : None, 'sft' : 6563},
    3702 : {'m' : 6564, 'ft' : None, 'sft' : 6565},
    5200 : {'m' : 6566, 'ft' : None, 'sft' : None},
    3800 : {'m' : 6567, 'ft' : None, 'sft' : None},
    3900 : {'m' : 6569, 'ft' : None, 'sft' : None},
    4001 : {'m' : 6571, 'ft' : None, 'sft' : None},
    4002 : {'m' : 6573, 'ft' : None, 'sft' : None},
    4100 : {'m' : 6575, 'ft' : None, 'sft' : None},
    4201 : {'m' : 6581, 'ft' : None, 'sft' : None},
    4202 : {'m' : 6583, 'ft' : None, 'sft' : None},
    4203 : {'m' : 6577, 'ft' : None, 'sft' : None},
    4204 : {'m' : 6587, 'ft' : None, 'sft' : None},
    4205 : {'m' : 6585, 'ft' : None, 'sft' : None},
    4301 : {'m' : 6620, 'ft' : None, 'sft' : None},
    4302 : {'m' : 6619, 'ft' : None, 'sft' : None},
    4303 : {'m' : 6621, 'ft' : None, 'sft' : None},
    5200 : {'m' : 6566, 'ft' : None, 'sft' : None},
    4400 : {'m' : 6589, 'ft' : None, 'sft' : None},
    4501 : {'m' : 6592, 'ft' : None, 'sft' : None},
    4502 : {'m' : 6594, 'ft' : None, 'sft' : None},
    4601 : {'m' : 6596, 'ft' : None, 'sft' : None},
    4602 : {'m' : 6598, 'ft' : None, 'sft' : None},
    4701 : {'m' : 6600, 'ft' : None, 'sft' : None},
    4702 : {'m' : 6602, 'ft' : None, 'sft' : None},
    4801 : {'m' : 6606, 'ft' : None, 'sft' : None},
    4802 : {'m' : 6879, 'ft' : None, 'sft' : None},
    4803 : {'m' : 6608, 'ft' : None, 'sft' : None},
    4901 : {'m' : 6611, 'ft' : None, 'sft' : None},
    4902 : {'m' : 6613, 'ft' : None, 'sft' : None},
    4903 : {'m' : 6617, 'ft' : None, 'sft' : None},
    4904 : {'m' : 6615, 'ft' : None, 'sft' : None}
}

# FIPS : EPSG NAD83(CORS96)
NAD83_CORS96 = {
    101 : {'m' : 26929, 'ft' : None, 'sft' : None},
    102 : {'m' : 26930, 'ft' : None, 'sft' : None},
    5001 : {'m' : 26931, 'ft' : None, 'sft' : None},
    5002 : {'m' : 26932, 'ft' : None, 'sft' : None},
    5003 : {'m' : 26933, 'ft' : None, 'sft' : None},
    5004 : {'m' : 26934, 'ft' : None, 'sft' : None},
    5005 : {'m' : 26935, 'ft' : None, 'sft' : None},
    5006 : {'m' : 26936, 'ft' : None, 'sft' : None},
    5007 : {'m' : 26937, 'ft' : None, 'sft' : None},
    5008 : {'m' : 26938, 'ft' : None, 'sft' : None},
    5009 : {'m' : 26939, 'ft' : None, 'sft' : None},
    5010 : {'m' : 26940, 'ft' : None, 'sft' : None},
    5300 : {'m' : None, 'ft' : None, 'sft' : None},
    201 : {'m' : None, 'ft' : None, 'sft' : None},
    202 : {'m' : None, 'ft' : None, 'sft' : None},
    203 : {'m' : None, 'ft' : None, 'sft' : None},
    301 : {'m' : None, 'ft' : None, 'sft' : None},
    302 : {'m' : None, 'ft' : None, 'sft' : None},
    401 : {'m' : None, 'ft' : None, 'sft' : None},
    402 : {'m' : None, 'ft' : None, 'sft' : None},
    403 : {'m' : None, 'ft' : None, 'sft' : None},
    404 : {'m' : None, 'ft' : None, 'sft' : None},
    405 : {'m' : None, 'ft' : None, 'sft' : None},
    406 : {'m' : None, 'ft' : None, 'sft' : None},
    501 : {'m' : None, 'ft' : None, 'sft' : None},
    502 : {'m' : None, 'ft' : None, 'sft' : None},
    503 : {'m' : None, 'ft' : None, 'sft' : None},
    600 : {'m' : None, 'ft' : None, 'sft' : None},
    700 : {'m' : None, 'ft' : None, 'sft' : None},
    901 : {'m' : None, 'ft' : None, 'sft' : None},
    902 : {'m' : None, 'ft' : None, 'sft' : None},
    903 : {'m' : None, 'ft' : None, 'sft' : None},
    1001 : {'m' : None, 'ft' : None, 'sft' : None},
    1002 : {'m' : None, 'ft' : None, 'sft' : None},
    5400 : {'m' : None, 'ft' : None, 'sft' : None},
    5101 : {'m' : None, 'ft' : None, 'sft' : None},
    5102 : {'m' : None, 'ft' : None, 'sft' : None},
    5103 : {'m' : None, 'ft' : None, 'sft' : None},
    5104 : {'m' : None, 'ft' : None, 'sft' : None},
    5105 : {'m' : None, 'ft' : None, 'sft' : None},
    1101 : {'m' : None, 'ft' : None, 'sft' : None},
    1102 : {'m' : None, 'ft' : None, 'sft' : None},
    1103 : {'m' : None, 'ft' : None, 'sft' : None},
    1201 : {'m' : None, 'ft' : None, 'sft' : None},
    1202 : {'m' : None, 'ft' : None, 'sft' : None},
    1301 : {'m' : None, 'ft' : None, 'sft' : None},
    1302 : {'m' : None, 'ft' : None, 'sft' : None},
    1401 : {'m' : None, 'ft' : None, 'sft' : None},
    1402 : {'m' : None, 'ft' : None, 'sft' : None},
    1501 : {'m' : None, 'ft' : None, 'sft' : None},
    1502 : {'m' : None, 'ft' : None, 'sft' : None},
    1600 : {'m' : None, 'ft' : None, 'sft' : None},
    1601 : {'m' : None, 'ft' : None, 'sft' : None},
    1602 : {'m' : None, 'ft' : None, 'sft' : None},
    1701 : {'m' : None, 'ft' : None, 'sft' : None},
    1702 : {'m' : None, 'ft' : None, 'sft' : None},
    1703 : {'m' : None, 'ft' : None, 'sft' : None},
    1801 : {'m' : None, 'ft' : None, 'sft' : None},
    1802 : {'m' : None, 'ft' : None, 'sft' : None},
    1900 : {'m' : 26985, 'ft' : None, 'sft' : 2248},
    2001 : {'m' : None, 'ft' : None, 'sft' : None},
    2002 : {'m' : None, 'ft' : None, 'sft' : None},
    2111 : {'m' : None, 'ft' : None, 'sft' : None},
    2112 : {'m' : None, 'ft' : None, 'sft' : None},
    2113 : {'m' : None, 'ft' : None, 'sft' : None},
    2201 : {'m' : None, 'ft' : None, 'sft' : None},
    2202 : {'m' : None, 'ft' : None, 'sft' : None},
    2203 : {'m' : None, 'ft' : None, 'sft' : None},
    2301 : {'m' : None, 'ft' : None, 'sft' : None},
    2302 : {'m' : None, 'ft' : None, 'sft' : None},
    2401 : {'m' : None, 'ft' : None, 'sft' : None},
    2402 : {'m' : None, 'ft' : None, 'sft' : None},
    2403 : {'m' : None, 'ft' : None, 'sft' : None},
    2500 : {'m' : None, 'ft' : None, 'sft' : None},
    2600 : {'m' : None, 'ft' : None, 'sft' : None},
    2701 : {'m' : None, 'ft' : None, 'sft' : None},
    2702 : {'m' : None, 'ft' : None, 'sft' : None},
    2703 : {'m' : None, 'ft' : None, 'sft' : None},
    2800 : {'m' : None, 'ft' : None, 'sft' : None},
    2900 : {'m' : None, 'ft' : None, 'sft' : None},
    3001 : {'m' : None, 'ft' : None, 'sft' : None},
    3002 : {'m' : None, 'ft' : None, 'sft' : None},
    3003 : {'m' : None, 'ft' : None, 'sft' : None},
    3101 : {'m' : None, 'ft' : None, 'sft' : None},
    3102 : {'m' : None, 'ft' : None, 'sft' : None},
    3103 : {'m' : None, 'ft' : None, 'sft' : None},
    3104 : {'m' : None, 'ft' : None, 'sft' : None},
    3200 : {'m' : None, 'ft' : None, 'sft' : None},
    3301 : {'m' : None, 'ft' : None, 'sft' : None},
    3302 : {'m' : None, 'ft' : None, 'sft' : None},
    3401 : {'m' : None, 'ft' : None, 'sft' : None},
    3402 : {'m' : None, 'ft' : None, 'sft' : None},
    3501 : {'m' : None, 'ft' : None, 'sft' : None},
    3502 : {'m' : None, 'ft' : None, 'sft' : None},
    3601 : {'m' : None, 'ft' : None, 'sft' : None},
    3602 : {'m' : None, 'ft' : None, 'sft' : None},
    3701 : {'m' : 32128, 'ft' : None, 'sft' : 2271},
    3702 : {'m' : 32129, 'ft' : None, 'sft' : 2272},
    5200 : {'m' : None, 'ft' : None, 'sft' : None},
    3800 : {'m' : None, 'ft' : None, 'sft' : None},
    3900 : {'m' : None, 'ft' : None, 'sft' : None},
    4001 : {'m' : None, 'ft' : None, 'sft' : None},
    4002 : {'m' : None, 'ft' : None, 'sft' : None},
    4100 : {'m' : None, 'ft' : None, 'sft' : None},
    4201 : {'m' : None, 'ft' : None, 'sft' : None},
    4202 : {'m' : None, 'ft' : None, 'sft' : None},
    4203 : {'m' : None, 'ft' : None, 'sft' : None},
    4204 : {'m' : None, 'ft' : None, 'sft' : None},
    4205 : {'m' : None, 'ft' : None, 'sft' : None},
    4301 : {'m' : None, 'ft' : None, 'sft' : None},
    4302 : {'m' : None, 'ft' : None, 'sft' : None},
    4303 : {'m' : None, 'ft' : None, 'sft' : None},
    5200 : {'m' : None, 'ft' : None, 'sft' : None},
    4400 : {'m' : None, 'ft' : None, 'sft' : None},
    4501 : {'m' : None, 'ft' : None, 'sft' : None},
    4502 : {'m' : None, 'ft' : None, 'sft' : None},
    4601 : {'m' : None, 'ft' : None, 'sft' : None},
    4602 : {'m' : None, 'ft' : None, 'sft' : None},
    4701 : {'m' : None, 'ft' : None, 'sft' : None},
    4702 : {'m' : None, 'ft' : None, 'sft' : None},
    4801 : {'m' : None, 'ft' : None, 'sft' : None},
    4802 : {'m' : None, 'ft' : None, 'sft' : None},
    4803 : {'m' : None, 'ft' : None, 'sft' : None},
    4901 : {'m' : None, 'ft' : None, 'sft' : None},
    4902 : {'m' : None, 'ft' : None, 'sft' : None},
    4903 : {'m' : None, 'ft' : None, 'sft' : None},
    4904 : {'m' : None, 'ft' : None, 'sft' : None}
}
